ignite-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sboi...@apache.org
Subject incubator-ignite git commit: # gg-9869
Date Thu, 05 Mar 2015 14:40:15 GMT
Repository: incubator-ignite
Updated Branches:
  refs/heads/gg-9869 b25c94440 -> 5800b2a02


# gg-9869


Project: http://git-wip-us.apache.org/repos/asf/incubator-ignite/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-ignite/commit/5800b2a0
Tree: http://git-wip-us.apache.org/repos/asf/incubator-ignite/tree/5800b2a0
Diff: http://git-wip-us.apache.org/repos/asf/incubator-ignite/diff/5800b2a0

Branch: refs/heads/gg-9869
Commit: 5800b2a029fc4b10e24f753fe72d2bb3ab971ac9
Parents: b25c944
Author: Artem Shutak <ashutak@gridgain.com>
Authored: Thu Mar 5 17:40:14 2015 +0300
Committer: Artem Shutak <ashutak@gridgain.com>
Committed: Thu Mar 5 17:40:14 2015 +0300

----------------------------------------------------------------------
 scripts/git-patch-functions.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-ignite/blob/5800b2a0/scripts/git-patch-functions.sh
----------------------------------------------------------------------
diff --git a/scripts/git-patch-functions.sh b/scripts/git-patch-functions.sh
index 474a000..08b2b45 100644
--- a/scripts/git-patch-functions.sh
+++ b/scripts/git-patch-functions.sh
@@ -100,6 +100,14 @@ applyPatch () {
     PATCH_FILE=$3
 
     cd ${GIT_HOME}
+    
+    if [ -f ${PATCH_FILE} ] 
+    then
+        echo $0", ERROR:"
+        echo "Expected patch file not found: $PATCH_FILE."
+        
+        exit 1
+    fi
 
 #    git apply ${PATCH_FILE}
     git am ${PATCH_FILE}
@@ -118,5 +126,7 @@ currentAndDefaultBranchesShouldBeEqual () {
         echo $0", ERROR:"
         echo "You are not on a expected branch. Your current branch is $IGNITE_CURRENT_BRANCH,

         should be $DEFAULT_BRANCH."
+        
+        exit 1
     fi
 }
\ No newline at end of file


Mime
View raw message